import 'package:krow/features/profile/certificates/data/models/certificate_model.dart';
import 'package:krow/features/profile/certificates/data/models/staff_certificate.dart';

abstract class CertificatesRepository {
  Future<List<CertificateModel>> getCertificates();

  Future<List<StaffCertificate>> getStaffCertificates();

  Future<StaffCertificate> putStaffCertificate(
      String certificateId, String imagePath, String certificateDate);

  Future<void> deleteStaffCertificate(String certificateId);
}
